package com.qs.mp.common.enums;

import com.baomidou.mybatisplus.annotation.IEnum;
import io.swagger.annotations.ApiModel;

/**
 * 提货订单类型枚举
 * @author Cup
 * @date 2022/8/3
 */
@ApiModel("提货订单类型枚举")
public enum DeliverOrderTypeEnum implements IEnum<Integer> {

    ORDINARY(1, "普通订单"),

    CARD(2,"卡密订单");

    private Integer value;

    private String description;

    @Override
    public Integer getValue() {
        return value;
    }

    public String getDescription() {
        return description;
    }

    DeliverOrderTypeEnum(Integer value, String description) {
        this.value = value;
        this.description = description;
    }
}
